Package org.apache.solr.client.solrj.io.stream

## Interface TupleStreamParser

All Superinterfaces:
  `AutoCloseable`, `Closeable`

All Known Implementing Classes:
  `JavabinTupleStreamParser`, `JSONTupleStream`

    public interface TupleStreamParser
    extends Closeable

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<String,​Object>` `next()`

### Methods inherited from interface java.io.Closeable

`close`

### Method Detail

#### next

    Map<String,​Object> next()
                           throws IOException

Throws:
  `IOException`